.lcenter {
    max-width: var(--width);
    padding: 0 var(--padding);
    position: relative;
    display: flex;
    gap: inherit;
}

.logo {
    width: 500px;
    fill: var(--white);
    z-index: 1;
}

.title {
    font-size: 35px;
    line-height: 35px;
    font-weight: 600;
}

.searchbar {
    padding: 20px 0;
    gap: 20px;
    justify-self: start;
    width: 100%;
    display: flex;
    min-height: max-content;
    justify-content: center;
    background-color: var(--grey);
    position: sticky;
    top: 0;
    left: 0;
    border-bottom: solid 1px var(--black);
    z-index: 100;
}

.search {
    width: 100%;
    display: flex;
    gap: 20px;
}
.search > input {
    width: 100%;
    padding: 10px 20px;
    background-color: transparent;
    border: none;
    outline: none;
    font-size: 18px;
    font-weight: 400;
    color: var(--white);
    border: solid 1px #FFFFFF22;
    background-color: #FFFFFF08;
    border-radius: 8px;
}
.search > button {
    height: 100%;
    border: none;
    outline: none;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    background-color: var(--white);
    border: solid 1px var(--white);
    border-radius: 8px;
    padding: 10px 20px;
    gap: 10px;
    font-size: 18px;
    font-weight: 500;
    color: var(--black);
    user-select: none;
}

.search > button > svg {
    fill: var(--black);
    height: 12px;
    width: 12px;
    min-width: 12px;
}

.cpadded {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 100px;
    padding: 100px 0;
}
.gcenter {
    max-width: var(--width);
    padding: 0 var(--padding);
    width: 100%;
    position: relative;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    gap: 50px;
    grid-auto-rows: 300px;
}
.universe {
    background-color: color-mix(in srgb, var(--lightgrey), 85% var(--grey));
    width: 100%;
    height: 100%;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    transition-duration: 0.3s;
    text-decoration: none;
    color: var(--white);
}
.universe:hover {
    background-color: var(--lightgrey);
}
.universe.locked {
    background-color: color-mix(in srgb, var(--lightgrey), 85% var(--grey));
    cursor: default;
}

.universe > .content {
    display: flex;
    padding: 20px;
    height: max-content;
    min-height: max-content;
    width: 100%;
    align-items: center;
    justify-content: start;
    z-index: 10;
}
.universe > .content > .name {
    font-size: 18px;
    font-weight: 500;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.universe > .banner {
    height: 100%;
    width: 100%;
    background-position: 50%;
    background-repeat: no-repeat;
    filter: brightness(0.75);
    background-size: cover;
    z-index: 10;
    transition-duration: 0.3s;
}
.universe:hover > .banner {
    filter: brightness(1);
}

.universe > .banner.blurred {
    position: absolute;
    top: 0;
    left: 0;
    filter: blur(35px) brightness(0.75);
    opacity: 0.5;
    z-index: 9;
}

.universe:hover > .banner.blurred {
    filter: blur(50px) brightness(1);
}

.buttons {
    max-width: var(--width);
    padding: 0 var(--padding);
    width: 100%;
    display: grid;
    gap: 50px;
    grid-template-columns: max-content 1fr max-content;
}
.blist {
    width: 100%;
    display: flex;
    gap: 20px;
    justify-content: center;
}

.buttons button {
    width: max-content;
    height: max-content;
    border: none;
    outline: none;
    background-color: transparent;
    border: solid 1px transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border-radius: 8px;
    padding: 10px 20px;
    gap: 10px;
    font-size: 18px;
    font-weight: 500;
    color: var(--white);
    user-select: none;
    transition-duration: 0.3s;
}
.buttons > button {
    width: 150px;
}
.buttons button:hover {
    border: solid 1px #FFFFFF22;
    background-color: #FFFFFF08;
}
.buttons button.disabled {
    opacity: 0.35;
    cursor: not-allowed;
}
.buttons button[selected] {
    border: solid 1px var(--white);
    background-color: var(--white);
    color: var(--black);
    cursor: default;
}
.buttons button > svg {
    fill: var(--white);
    height: 12px;
    width: 12px;
    min-width: 12px;
    transition-duration: 0.3s;
}
.buttons button[selected] > svg {
    fill: var(--black);
}


@media (max-width: 1400px) {
    .cpadded {
        padding: 20px 0;
        gap: 20px;
    }
    .gcenter {
        gap: 20px;
        padding: 0 20px;
        grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
        grid-auto-rows: 200px;
    }
    .buttons {
        gap: 20px;
    }
    .searchbar {
        top: -1px;
    }
}